net.sf.jasperreports.components.table

## Class TableCompiler

- java.lang.Object
- - net.sf.jasperreports.components.table.TableCompiler

- All Implemented Interfaces:
    ComponentCompiler

      public class TableCompiler
      extends java.lang.Object
      implements ComponentCompiler

  Version:
    $Id: TableCompiler.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TableCompiler.BaseColumnCellSelector`
    `protected static interface` | `TableCompiler.ColumnCellSelector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(Component component, JRExpressionCollector collector)` Collects report expressions from a component.
    `protected boolean` | `detectLoops(JRVerifier verifier, java.util.List<BaseColumn> columns)`
    `protected boolean` | `detectLoops(JRVerifier verifier, java.util.List<BaseColumn> columns, java.util.Set<BaseColumn> parents)`
    `Component` | `toCompiledComponent(Component component, JRBaseObjectFactory baseFactory)` Provides a "compiled" component instance that will be included in the compiled report.
    `void` | `verify(Component component, JRVerifier verifier)` Logically verifies a component.
    `protected void` | `verifyBaseColumn(TableComponent table, BaseColumn column, JRVerifier verifier)`
    `protected void` | `verifyCell(Cell cell, int width, java.lang.String cellName, JRVerifier verifier)`
    `protected void` | `verifyColumn(TableComponent table, Column column, JRVerifier verifier)`
    `protected void` | `verifyColumnHeights(TableComponent table, JRVerifier verifier)`
    `protected void` | `verifyColumnHeights(TableComponent table, JRVerifier verifier, TableCompiler.ColumnCellSelector cellSelector)`
    `protected void` | `verifyColumns(TableComponent table, JRVerifier verifier)`
    `protected void` | `verifyGroupCells(TableComponent table, java.util.List<GroupCell> cells, int width, java.lang.String cellName, JRVerifier verifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableCompiler

          public TableCompiler()

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(Component component,
                                JRExpressionCollector collector)

      Description copied from interface: `ComponentCompiler`
      Collects report expressions from a component.
      Specified by:
        `collectExpressions` in interface `ComponentCompiler`
      Parameters:
        `component` - the component
        `collector` - the expression collector

    - #### toCompiledComponent

          public Component toCompiledComponent(Component component,
                                      JRBaseObjectFactory baseFactory)

      Description copied from interface: `ComponentCompiler`
      Provides a "compiled" component instance that will be included in the compiled report.
      Specified by:
        `toCompiledComponent` in interface `ComponentCompiler`
      Parameters:
        `component` - the component from the design report
        `baseFactory` - the factory of base/compiled report elements
      Returns:
        a component instance that is to be included in the compiled report

    - #### verify

          public void verify(Component component,
                    JRVerifier verifier)

      Description copied from interface: `ComponentCompiler`
      Logically verifies a component.
      Specified by:
        `verify` in interface `ComponentCompiler`
      Parameters:
        `component` - the component
        `verifier` - the verifier object, which can be used to raise validation errors
      See Also:
        `JRVerifier.getCurrentComponentElement()`

    - #### detectLoops

          protected boolean detectLoops(JRVerifier verifier,
                            java.util.List<BaseColumn> columns)

    - #### detectLoops

          protected boolean detectLoops(JRVerifier verifier,
                            java.util.List<BaseColumn> columns,
                            java.util.Set<BaseColumn> parents)

    - #### verifyColumns

          protected void verifyColumns(TableComponent table,
                           JRVerifier verifier)

    - #### verifyBaseColumn

          protected void verifyBaseColumn(TableComponent table,
                              BaseColumn column,
                              JRVerifier verifier)

    - #### verifyGroupCells

          protected void verifyGroupCells(TableComponent table,
                              java.util.List<GroupCell> cells,
                              int width,
                              java.lang.String cellName,
                              JRVerifier verifier)

    - #### verifyCell

          protected void verifyCell(Cell cell,
                        int width,
                        java.lang.String cellName,
                        JRVerifier verifier)

    - #### verifyColumn

          protected void verifyColumn(TableComponent table,
                          Column column,
                          JRVerifier verifier)

    - #### verifyColumnHeights

          protected void verifyColumnHeights(TableComponent table,
                                 JRVerifier verifier)

    - #### verifyColumnHeights

          protected void verifyColumnHeights(TableComponent table,
                                 JRVerifier verifier,
                                 TableCompiler.ColumnCellSelector cellSelector)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com